Loading...
Searching...
No Matches
DSRReferencedInstanceList::ItemStruct Struct Reference

Internal structure defining the list items. More...

## Public Member Functions

| ItemStruct (const OFString &sopClassUID, const OFString &instanceUID)
| constructor
void | clear ()
| clear additional information

## Public Attributes

const OFString | SOPClassUID
| SOP Class UID (VR=UI, type 1).
const OFString | InstanceUID
| SOP Instance UID (VR=UI, type 1).
DSRCodedEntryValue | PurposeOfReference
| Purpose of Reference Code Sequence (VR=SQ, type 1).

## Detailed Description

Internal structure defining the list items.

## Constructor & Destructor Documentation

## ItemStruct()

DSRReferencedInstanceList::ItemStruct::ItemStruct | ( | const OFString & | sopClassUID,
|  | const OFString & | instanceUID )

inline

constructor

Parameters

  sopClassUID | SOP class UID
  instanceUID | SOP instance UID

References InstanceUID, PurposeOfReference, and SOPClassUID.

The documentation for this struct was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrrefin.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0